

# Amazon S3 Tables
<a name="API_Operations_Amazon_S3_Tables"></a>

The following actions are supported by Amazon S3 Tables:
+  [CreateNamespace](API_s3Buckets_CreateNamespace.md) 
+  [CreateTable](API_s3Buckets_CreateTable.md) 
+  [CreateTableBucket](API_s3Buckets_CreateTableBucket.md) 
+  [DeleteNamespace](API_s3Buckets_DeleteNamespace.md) 
+  [DeleteTable](API_s3Buckets_DeleteTable.md) 
+  [DeleteTableBucket](API_s3Buckets_DeleteTableBucket.md) 
+  [DeleteTableBucketEncryption](API_s3Buckets_DeleteTableBucketEncryption.md) 
+  [DeleteTableBucketMetricsConfiguration](API_s3Buckets_DeleteTableBucketMetricsConfiguration.md) 
+  [DeleteTableBucketPolicy](API_s3Buckets_DeleteTableBucketPolicy.md) 
+  [DeleteTableBucketReplication](API_s3Buckets_DeleteTableBucketReplication.md) 
+  [DeleteTablePolicy](API_s3Buckets_DeleteTablePolicy.md) 
+  [DeleteTableReplication](API_s3Buckets_DeleteTableReplication.md) 
+  [GetNamespace](API_s3Buckets_GetNamespace.md) 
+  [GetTable](API_s3Buckets_GetTable.md) 
+  [GetTableBucket](API_s3Buckets_GetTableBucket.md) 
+  [GetTableBucketEncryption](API_s3Buckets_GetTableBucketEncryption.md) 
+  [GetTableBucketMaintenanceConfiguration](API_s3Buckets_GetTableBucketMaintenanceConfiguration.md) 
+  [GetTableBucketMetricsConfiguration](API_s3Buckets_GetTableBucketMetricsConfiguration.md) 
+  [GetTableBucketPolicy](API_s3Buckets_GetTableBucketPolicy.md) 
+  [GetTableBucketReplication](API_s3Buckets_GetTableBucketReplication.md) 
+  [GetTableBucketStorageClass](API_s3Buckets_GetTableBucketStorageClass.md) 
+  [GetTableEncryption](API_s3Buckets_GetTableEncryption.md) 
+  [GetTableMaintenanceConfiguration](API_s3Buckets_GetTableMaintenanceConfiguration.md) 
+  [GetTableMaintenanceJobStatus](API_s3Buckets_GetTableMaintenanceJobStatus.md) 
+  [GetTableMetadataLocation](API_s3Buckets_GetTableMetadataLocation.md) 
+  [GetTablePolicy](API_s3Buckets_GetTablePolicy.md) 
+  [GetTableRecordExpirationConfiguration](API_s3Buckets_GetTableRecordExpirationConfiguration.md) 
+  [GetTableRecordExpirationJobStatus](API_s3Buckets_GetTableRecordExpirationJobStatus.md) 
+  [GetTableReplication](API_s3Buckets_GetTableReplication.md) 
+  [GetTableReplicationStatus](API_s3Buckets_GetTableReplicationStatus.md) 
+  [GetTableStorageClass](API_s3Buckets_GetTableStorageClass.md) 
+  [ListNamespaces](API_s3Buckets_ListNamespaces.md) 
+  [ListTableBuckets](API_s3Buckets_ListTableBuckets.md) 
+  [ListTables](API_s3Buckets_ListTables.md) 
+  [ListTagsForResource](API_s3Buckets_ListTagsForResource.md) 
+  [PutTableBucketEncryption](API_s3Buckets_PutTableBucketEncryption.md) 
+  [PutTableBucketMaintenanceConfiguration](API_s3Buckets_PutTableBucketMaintenanceConfiguration.md) 
+  [PutTableBucketMetricsConfiguration](API_s3Buckets_PutTableBucketMetricsConfiguration.md) 
+  [PutTableBucketPolicy](API_s3Buckets_PutTableBucketPolicy.md) 
+  [PutTableBucketReplication](API_s3Buckets_PutTableBucketReplication.md) 
+  [PutTableBucketStorageClass](API_s3Buckets_PutTableBucketStorageClass.md) 
+  [PutTableMaintenanceConfiguration](API_s3Buckets_PutTableMaintenanceConfiguration.md) 
+  [PutTablePolicy](API_s3Buckets_PutTablePolicy.md) 
+  [PutTableRecordExpirationConfiguration](API_s3Buckets_PutTableRecordExpirationConfiguration.md) 
+  [PutTableReplication](API_s3Buckets_PutTableReplication.md) 
+  [RenameTable](API_s3Buckets_RenameTable.md) 
+  [TagResource](API_s3Buckets_TagResource.md) 
+  [UntagResource](API_s3Buckets_UntagResource.md) 
+  [UpdateTableMetadataLocation](API_s3Buckets_UpdateTableMetadataLocation.md) 

# CreateNamespace
<a name="API_s3Buckets_CreateNamespace"></a>

Creates a namespace. A namespace is a logical grouping of tables within your table bucket, which you can use to organize tables. For more information, see [Create a namespace](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-namespace-create.html) in the *Amazon Simple Storage Service User Guide*.

Permissions  
You must have the `s3tables:CreateNamespace` permission to use this operation. 

## Request Syntax
<a name="API_s3Buckets_CreateNamespace_RequestSyntax"></a>

```
PUT /namespaces/tableBucketARN HTTP/1.1
Content-type: application/json

{
   "namespace": [ "string" ]
}
```

## URI Request Parameters
<a name="API_s3Buckets_CreateNamespace_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_CreateNamespace_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateNamespace-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket to create the namespace in.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_CreateNamespace_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [namespace](#API_s3Buckets_CreateNamespace_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateNamespace-request-namespace"></a>
A name for the namespace.  
Type: Array of strings  
Array Members: Fixed number of 1 item.  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*`   
Required: Yes

## Response Syntax
<a name="API_s3Buckets_CreateNamespace_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "namespace": [ "string" ],
   "tableBucketARN": "string"
}
```

## Response Elements
<a name="API_s3Buckets_CreateNamespace_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [namespace](#API_s3Buckets_CreateNamespace_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_CreateNamespace-response-namespace"></a>
The name of the namespace.  
Type: Array of strings  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*` 

 ** [tableBucketARN](#API_s3Buckets_CreateNamespace_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_CreateNamespace-response-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket the namespace was created in.  
Type: String  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})` 

## Errors
<a name="API_s3Buckets_CreateNamespace_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_CreateNamespace_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/CreateNamespace) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/CreateNamespace) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/CreateNamespace) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/CreateNamespace) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/CreateNamespace) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/CreateNamespace) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/CreateNamespace) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/CreateNamespace) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/CreateNamespace) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/CreateNamespace) 

# CreateTable
<a name="API_s3Buckets_CreateTable"></a>

Creates a new table associated with the given namespace in a table bucket. For more information, see [Creating an Amazon S3 table](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-create.html) in the *Amazon Simple Storage Service User Guide*.

Permissions  
+ You must have the `s3tables:CreateTable` permission to use this operation. 
+ If you use this operation with the optional `metadata` request parameter you must have the `s3tables:PutTableData` permission. 
+ If you use this operation with the optional `encryptionConfiguration` request parameter you must have the `s3tables:PutTableEncryption` permission. 
+ If you use this operation with the `storageClassConfiguration` request parameter, you must have the `s3tables:PutTableStorageClass` permission.
+ To create a table with tags, you must have the `s3tables:TagResource` permission in addition to `s3tables:CreateTable` permission.
Additionally, If you choose SSE-KMS encryption you must grant the S3 Tables maintenance principal access to your KMS key. For more information, see [Permissions requirements for S3 Tables SSE-KMS encryption](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-kms-permissions.html). 

## Request Syntax
<a name="API_s3Buckets_CreateTable_RequestSyntax"></a>

```
PUT /tables/tableBucketARN/namespace HTTP/1.1
Content-type: application/json

{
   "encryptionConfiguration": { 
      "kmsKeyArn": "string",
      "sseAlgorithm": "string"
   },
   "format": "string",
   "metadata": { ... },
   "name": "string",
   "storageClassConfiguration": { 
      "storageClass": "string"
   },
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters
<a name="API_s3Buckets_CreateTable_RequestParameters"></a>

The request uses the following URI parameters.

 ** [namespace](#API_s3Buckets_CreateTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateTable-request-uri-namespace"></a>
The namespace to associated with the table.  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*`   
Required: Yes

 ** [tableBucketARN](#API_s3Buckets_CreateTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateTable-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket to create the table in.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_CreateTable_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [encryptionConfiguration](#API_s3Buckets_CreateTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateTable-request-encryptionConfiguration"></a>
The encryption configuration to use for the table. This configuration specifies the encryption algorithm and, if using SSE-KMS, the KMS key to use for encrypting the table.   
If you choose SSE-KMS encryption you must grant the S3 Tables maintenance principal access to your KMS key. For more information, see [Permissions requirements for S3 Tables SSE-KMS encryption](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-kms-permissions.html).
Type: [EncryptionConfiguration](API_s3Buckets_EncryptionConfiguration.md) object  
Required: No

 ** [format](#API_s3Buckets_CreateTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateTable-request-format"></a>
The format for the table.  
Type: String  
Valid Values: `ICEBERG`   
Required: Yes

 ** [metadata](#API_s3Buckets_CreateTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateTable-request-metadata"></a>
The metadata for the table.  
Type: [TableMetadata](API_s3Buckets_TableMetadata.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: No

 ** [name](#API_s3Buckets_CreateTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateTable-request-name"></a>
The name for the table.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*`   
Required: Yes

 ** [storageClassConfiguration](#API_s3Buckets_CreateTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateTable-request-storageClassConfiguration"></a>
The storage class configuration for the table. If not specified, the table inherits the storage class configuration from its table bucket. Specify this parameter to override the bucket's default storage class for this table.  
Type: [StorageClassConfiguration](API_s3Buckets_StorageClassConfiguration.md) object  
Required: No

 ** [tags](#API_s3Buckets_CreateTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateTable-request-tags"></a>
A map of user-defined tags that you would like to apply to the table that you are creating. A tag is a key-value pair that you apply to your resources. Tags can help you organize, track costs for, and control access to resources. For more information, see [Tagging for cost allocation or attribute-based access control (ABAC)](https://docs.aws.amazon.com/AmazonS3/latest/userguide/tagging.html).  
You must have the `s3tables:TagResource` permission in addition to `s3tables:CreateTable` permission to create a table with tags.
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

## Response Syntax
<a name="API_s3Buckets_CreateTable_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "tableARN": "string",
   "versionToken": "string"
}
```

## Response Elements
<a name="API_s3Buckets_CreateTable_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [tableARN](#API_s3Buckets_CreateTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_CreateTable-response-tableARN"></a>
The Amazon Resource Name (ARN) of the table.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63}/table/[a-zA-Z0-9-_]{1,255})` 

 ** [versionToken](#API_s3Buckets_CreateTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_CreateTable-response-versionToken"></a>
The version token of the table.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Errors
<a name="API_s3Buckets_CreateTable_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_CreateTable_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/CreateTable) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/CreateTable) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/CreateTable) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/CreateTable) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/CreateTable) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/CreateTable) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/CreateTable) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/CreateTable) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/CreateTable) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/CreateTable) 

# CreateTableBucket
<a name="API_s3Buckets_CreateTableBucket"></a>

Creates a table bucket. For more information, see [Creating a table bucket](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-buckets-create.html) in the *Amazon Simple Storage Service User Guide*.

Permissions  
+ You must have the `s3tables:CreateTableBucket` permission to use this operation. 
+ If you use this operation with the optional `encryptionConfiguration` parameter you must have the `s3tables:PutTableBucketEncryption` permission.
+ If you use this operation with the `storageClassConfiguration` request parameter, you must have the `s3tables:PutTableBucketStorageClass` permission.
+ To create a table bucket with tags, you must have the `s3tables:TagResource` permission in addition to `s3tables:CreateTableBucket` permission.

## Request Syntax
<a name="API_s3Buckets_CreateTableBucket_RequestSyntax"></a>

```
PUT /buckets HTTP/1.1
Content-type: application/json

{
   "encryptionConfiguration": { 
      "kmsKeyArn": "string",
      "sseAlgorithm": "string"
   },
   "name": "string",
   "storageClassConfiguration": { 
      "storageClass": "string"
   },
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters
<a name="API_s3Buckets_CreateTableBucket_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_s3Buckets_CreateTableBucket_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [encryptionConfiguration](#API_s3Buckets_CreateTableBucket_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateTableBucket-request-encryptionConfiguration"></a>
The encryption configuration to use for the table bucket. This configuration specifies the default encryption settings that will be applied to all tables created in this bucket unless overridden at the table level. The configuration includes the encryption algorithm and, if using SSE-KMS, the KMS key to use.  
Type: [EncryptionConfiguration](API_s3Buckets_EncryptionConfiguration.md) object  
Required: No

 ** [name](#API_s3Buckets_CreateTableBucket_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateTableBucket-request-name"></a>
The name for the table bucket.  
Type: String  
Length Constraints: Minimum length of 3. Maximum length of 63.  
Pattern: `[0-9a-z-]*`   
Required: Yes

 ** [storageClassConfiguration](#API_s3Buckets_CreateTableBucket_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateTableBucket-request-storageClassConfiguration"></a>
The default storage class configuration for the table bucket. This configuration will be applied to all new tables created in this bucket unless overridden at the table level. If not specified, the service default storage class will be used.  
Type: [StorageClassConfiguration](API_s3Buckets_StorageClassConfiguration.md) object  
Required: No

 ** [tags](#API_s3Buckets_CreateTableBucket_RequestSyntax) **   <a name="AmazonS3-s3Buckets_CreateTableBucket-request-tags"></a>
A map of user-defined tags that you would like to apply to the table bucket that you are creating. A tag is a key-value pair that you apply to your resources. Tags can help you organize and control access to resources. For more information, see [Tagging for cost allocation or attribute-based access control (ABAC)](https://docs.aws.amazon.com/AmazonS3/latest/userguide/tagging.html).  
You must have the `s3tables:TagResource` permission in addition to `s3tables:CreateTableBucket` permisson to create a table bucket with tags.
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

## Response Syntax
<a name="API_s3Buckets_CreateTableBucket_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string"
}
```

## Response Elements
<a name="API_s3Buckets_CreateTableBucket_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_s3Buckets_CreateTableBucket_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_CreateTableBucket-response-arn"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Type: String  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})` 

## Errors
<a name="API_s3Buckets_CreateTableBucket_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_CreateTableBucket_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/CreateTableBucket) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/CreateTableBucket) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/CreateTableBucket) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/CreateTableBucket) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/CreateTableBucket) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/CreateTableBucket) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/CreateTableBucket) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/CreateTableBucket) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/CreateTableBucket) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/CreateTableBucket) 

# DeleteNamespace
<a name="API_s3Buckets_DeleteNamespace"></a>

Deletes a namespace. For more information, see [Delete a namespace](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-namespace-delete.html) in the *Amazon Simple Storage Service User Guide*.

Permissions  
You must have the `s3tables:DeleteNamespace` permission to use this operation. 

## Request Syntax
<a name="API_s3Buckets_DeleteNamespace_RequestSyntax"></a>

```
DELETE /namespaces/tableBucketARN/namespace HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_DeleteNamespace_RequestParameters"></a>

The request uses the following URI parameters.

 ** [namespace](#API_s3Buckets_DeleteNamespace_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteNamespace-request-uri-namespace"></a>
The name of the namespace.  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*`   
Required: Yes

 ** [tableBucketARN](#API_s3Buckets_DeleteNamespace_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteNamespace-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket associated with the namespace.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_DeleteNamespace_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_DeleteNamespace_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_s3Buckets_DeleteNamespace_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_s3Buckets_DeleteNamespace_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_DeleteNamespace_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/DeleteNamespace) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/DeleteNamespace) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/DeleteNamespace) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/DeleteNamespace) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/DeleteNamespace) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/DeleteNamespace) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/DeleteNamespace) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/DeleteNamespace) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/DeleteNamespace) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/DeleteNamespace) 

# DeleteTable
<a name="API_s3Buckets_DeleteTable"></a>

Deletes a table. For more information, see [Deleting an Amazon S3 table](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-delete.html) in the *Amazon Simple Storage Service User Guide*.

Permissions  
You must have the `s3tables:DeleteTable` permission to use this operation. 

## Request Syntax
<a name="API_s3Buckets_DeleteTable_RequestSyntax"></a>

```
DELETE /tables/tableBucketARN/namespace/name?versionToken=versionToken HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_DeleteTable_RequestParameters"></a>

The request uses the following URI parameters.

 ** [name](#API_s3Buckets_DeleteTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTable-request-uri-name"></a>
The name of the table.  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*`   
Required: Yes

 ** [namespace](#API_s3Buckets_DeleteTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTable-request-uri-namespace"></a>
The namespace associated with the table.  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*`   
Required: Yes

 ** [tableBucketARN](#API_s3Buckets_DeleteTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTable-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket that contains the table.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

 ** [versionToken](#API_s3Buckets_DeleteTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTable-request-uri-versionToken"></a>
The version token of the table.  
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Request Body
<a name="API_s3Buckets_DeleteTable_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_DeleteTable_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_s3Buckets_DeleteTable_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_s3Buckets_DeleteTable_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_DeleteTable_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/DeleteTable) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/DeleteTable) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/DeleteTable) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/DeleteTable) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/DeleteTable) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/DeleteTable) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/DeleteTable) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/DeleteTable) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/DeleteTable) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/DeleteTable) 

# DeleteTableBucket
<a name="API_s3Buckets_DeleteTableBucket"></a>

Deletes a table bucket. For more information, see [Deleting a table bucket](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-buckets-delete.html) in the *Amazon Simple Storage Service User Guide*.

Permissions  
You must have the `s3tables:DeleteTableBucket` permission to use this operation. 

## Request Syntax
<a name="API_s3Buckets_DeleteTableBucket_RequestSyntax"></a>

```
DELETE /buckets/tableBucketARN HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_DeleteTableBucket_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_DeleteTableBucket_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTableBucket-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_DeleteTableBucket_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_DeleteTableBucket_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_s3Buckets_DeleteTableBucket_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_s3Buckets_DeleteTableBucket_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_DeleteTableBucket_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/DeleteTableBucket) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/DeleteTableBucket) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/DeleteTableBucket) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/DeleteTableBucket) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/DeleteTableBucket) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/DeleteTableBucket) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/DeleteTableBucket) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/DeleteTableBucket) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/DeleteTableBucket) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/DeleteTableBucket) 

# DeleteTableBucketEncryption
<a name="API_s3Buckets_DeleteTableBucketEncryption"></a>

Deletes the encryption configuration for a table bucket.

Permissions  
You must have the `s3tables:DeleteTableBucketEncryption` permission to use this operation.

## Request Syntax
<a name="API_s3Buckets_DeleteTableBucketEncryption_RequestSyntax"></a>

```
DELETE /buckets/tableBucketARN/encryption HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_DeleteTableBucketEncryption_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_DeleteTableBucketEncryption_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTableBucketEncryption-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_DeleteTableBucketEncryption_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_DeleteTableBucketEncryption_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_s3Buckets_DeleteTableBucketEncryption_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_s3Buckets_DeleteTableBucketEncryption_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_DeleteTableBucketEncryption_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/DeleteTableBucketEncryption) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/DeleteTableBucketEncryption) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/DeleteTableBucketEncryption) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/DeleteTableBucketEncryption) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/DeleteTableBucketEncryption) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/DeleteTableBucketEncryption) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/DeleteTableBucketEncryption) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/DeleteTableBucketEncryption) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/DeleteTableBucketEncryption) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/DeleteTableBucketEncryption) 

# DeleteTableBucketMetricsConfiguration
<a name="API_s3Buckets_DeleteTableBucketMetricsConfiguration"></a>

Deletes the metrics configuration for a table bucket.

Permissions  
You must have the `s3tables:DeleteTableBucketMetricsConfiguration` permission to use this operation.

## Request Syntax
<a name="API_s3Buckets_DeleteTableBucketMetricsConfiguration_RequestSyntax"></a>

```
DELETE /buckets/tableBucketARN/metrics HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_DeleteTableBucketMetricsConfiguration_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_DeleteTableBucketMetricsConfiguration_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTableBucketMetricsConfiguration-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_DeleteTableBucketMetricsConfiguration_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_DeleteTableBucketMetricsConfiguration_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_s3Buckets_DeleteTableBucketMetricsConfiguration_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_s3Buckets_DeleteTableBucketMetricsConfiguration_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_DeleteTableBucketMetricsConfiguration_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/DeleteTableBucketMetricsConfiguration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/DeleteTableBucketMetricsConfiguration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/DeleteTableBucketMetricsConfiguration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/DeleteTableBucketMetricsConfiguration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/DeleteTableBucketMetricsConfiguration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/DeleteTableBucketMetricsConfiguration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/DeleteTableBucketMetricsConfiguration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/DeleteTableBucketMetricsConfiguration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/DeleteTableBucketMetricsConfiguration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/DeleteTableBucketMetricsConfiguration) 

# DeleteTableBucketPolicy
<a name="API_s3Buckets_DeleteTableBucketPolicy"></a>

Deletes a table bucket policy. For more information, see [Deleting a table bucket policy](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-bucket-policy.html#table-bucket-policy-delete) in the *Amazon Simple Storage Service User Guide*.

Permissions  
You must have the `s3tables:DeleteTableBucketPolicy` permission to use this operation. 

## Request Syntax
<a name="API_s3Buckets_DeleteTableBucketPolicy_RequestSyntax"></a>

```
DELETE /buckets/tableBucketARN/policy HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_DeleteTableBucketPolicy_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_DeleteTableBucketPolicy_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTableBucketPolicy-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_DeleteTableBucketPolicy_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_DeleteTableBucketPolicy_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_s3Buckets_DeleteTableBucketPolicy_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_s3Buckets_DeleteTableBucketPolicy_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_DeleteTableBucketPolicy_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/DeleteTableBucketPolicy) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/DeleteTableBucketPolicy) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/DeleteTableBucketPolicy) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/DeleteTableBucketPolicy) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/DeleteTableBucketPolicy) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/DeleteTableBucketPolicy) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/DeleteTableBucketPolicy) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/DeleteTableBucketPolicy) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/DeleteTableBucketPolicy) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/DeleteTableBucketPolicy) 

# DeleteTableBucketReplication
<a name="API_s3Buckets_DeleteTableBucketReplication"></a>

Deletes the replication configuration for a table bucket. After deletion, new table updates will no longer be replicated to destination buckets, though existing replicated tables will remain in destination buckets.

Permissions  
You must have the `s3tables:DeleteTableBucketReplication` permission to use this operation.

## Request Syntax
<a name="API_s3Buckets_DeleteTableBucketReplication_RequestSyntax"></a>

```
DELETE /table-bucket-replication?tableBucketARN=tableBucketARN&versionToken=versionToken HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_DeleteTableBucketReplication_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_DeleteTableBucketReplication_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTableBucketReplication-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

 ** [versionToken](#API_s3Buckets_DeleteTableBucketReplication_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTableBucketReplication-request-uri-versionToken"></a>
A version token from a previous GetTableBucketReplication call. Use this token to ensure you're deleting the expected version of the configuration.  
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Request Body
<a name="API_s3Buckets_DeleteTableBucketReplication_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_DeleteTableBucketReplication_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_s3Buckets_DeleteTableBucketReplication_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_s3Buckets_DeleteTableBucketReplication_Errors"></a>

 ** AccessDeniedException **   
The action cannot be performed because you do not have the required permission.  
HTTP Status Code: 403

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_DeleteTableBucketReplication_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/DeleteTableBucketReplication) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/DeleteTableBucketReplication) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/DeleteTableBucketReplication) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/DeleteTableBucketReplication) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/DeleteTableBucketReplication) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/DeleteTableBucketReplication) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/DeleteTableBucketReplication) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/DeleteTableBucketReplication) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/DeleteTableBucketReplication) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/DeleteTableBucketReplication) 

# DeleteTablePolicy
<a name="API_s3Buckets_DeleteTablePolicy"></a>

Deletes a table policy. For more information, see [Deleting a table policy](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-table-policy.html#table-policy-delete) in the *Amazon Simple Storage Service User Guide*.

Permissions  
You must have the `s3tables:DeleteTablePolicy` permission to use this operation. 

## Request Syntax
<a name="API_s3Buckets_DeleteTablePolicy_RequestSyntax"></a>

```
DELETE /tables/tableBucketARN/namespace/name/policy HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_DeleteTablePolicy_RequestParameters"></a>

The request uses the following URI parameters.

 ** [name](#API_s3Buckets_DeleteTablePolicy_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTablePolicy-request-uri-name"></a>
The table name.  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*`   
Required: Yes

 ** [namespace](#API_s3Buckets_DeleteTablePolicy_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTablePolicy-request-uri-namespace"></a>
The namespace associated with the table.   
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*`   
Required: Yes

 ** [tableBucketARN](#API_s3Buckets_DeleteTablePolicy_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTablePolicy-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket that contains the table.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_DeleteTablePolicy_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_DeleteTablePolicy_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_s3Buckets_DeleteTablePolicy_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_s3Buckets_DeleteTablePolicy_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_DeleteTablePolicy_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/DeleteTablePolicy) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/DeleteTablePolicy) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/DeleteTablePolicy) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/DeleteTablePolicy) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/DeleteTablePolicy) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/DeleteTablePolicy) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/DeleteTablePolicy) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/DeleteTablePolicy) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/DeleteTablePolicy) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/DeleteTablePolicy) 

# DeleteTableReplication
<a name="API_s3Buckets_DeleteTableReplication"></a>

Deletes the replication configuration for a specific table. After deletion, new updates to this table will no longer be replicated to destination tables, though existing replicated copies will remain in destination buckets.

Permissions  
You must have the `s3tables:DeleteTableReplication` permission to use this operation.

## Request Syntax
<a name="API_s3Buckets_DeleteTableReplication_RequestSyntax"></a>

```
DELETE /table-replication?tableArn=tableArn&versionToken=versionToken HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_DeleteTableReplication_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableArn](#API_s3Buckets_DeleteTableReplication_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTableReplication-request-uri-tableArn"></a>
The Amazon Resource Name (ARN) of the table.  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63}/table/[a-zA-Z0-9-_]{1,255})`   
Required: Yes

 ** [versionToken](#API_s3Buckets_DeleteTableReplication_RequestSyntax) **   <a name="AmazonS3-s3Buckets_DeleteTableReplication-request-uri-versionToken"></a>
A version token from a previous GetTableReplication call. Use this token to ensure you're deleting the expected version of the configuration.  
Required: Yes

## Request Body
<a name="API_s3Buckets_DeleteTableReplication_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_DeleteTableReplication_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_s3Buckets_DeleteTableReplication_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_s3Buckets_DeleteTableReplication_Errors"></a>

 ** AccessDeniedException **   
The action cannot be performed because you do not have the required permission.  
HTTP Status Code: 403

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_DeleteTableReplication_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/DeleteTableReplication) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/DeleteTableReplication) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/DeleteTableReplication) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/DeleteTableReplication) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/DeleteTableReplication) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/DeleteTableReplication) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/DeleteTableReplication) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/DeleteTableReplication) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/DeleteTableReplication) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/DeleteTableReplication) 

# GetNamespace
<a name="API_s3Buckets_GetNamespace"></a>

Gets details about a namespace. For more information, see [Table namespaces](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-namespace.html) in the *Amazon Simple Storage Service User Guide*.

Permissions  
You must have the `s3tables:GetNamespace` permission to use this operation. 

## Request Syntax
<a name="API_s3Buckets_GetNamespace_RequestSyntax"></a>

```
GET /namespaces/tableBucketARN/namespace HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_GetNamespace_RequestParameters"></a>

The request uses the following URI parameters.

 ** [namespace](#API_s3Buckets_GetNamespace_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetNamespace-request-uri-namespace"></a>
The name of the namespace.  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*`   
Required: Yes

 ** [tableBucketARN](#API_s3Buckets_GetNamespace_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetNamespace-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_GetNamespace_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_GetNamespace_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "createdAt": "string",
   "createdBy": "string",
   "namespace": [ "string" ],
   "namespaceId": "string",
   "ownerAccountId": "string",
   "tableBucketId": "string"
}
```

## Response Elements
<a name="API_s3Buckets_GetNamespace_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [createdAt](#API_s3Buckets_GetNamespace_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetNamespace-response-createdAt"></a>
The date and time the namespace was created at.  
Type: Timestamp

 ** [createdBy](#API_s3Buckets_GetNamespace_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetNamespace-response-createdBy"></a>
The ID of the account that created the namespace.  
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `[0-9].*` 

 ** [namespace](#API_s3Buckets_GetNamespace_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetNamespace-response-namespace"></a>
The name of the namespace.  
Type: Array of strings  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*` 

 ** [namespaceId](#API_s3Buckets_GetNamespace_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetNamespace-response-namespaceId"></a>
The unique identifier of the namespace.  
Type: String

 ** [ownerAccountId](#API_s3Buckets_GetNamespace_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetNamespace-response-ownerAccountId"></a>
The ID of the account that owns the namespcace.  
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `[0-9].*` 

 ** [tableBucketId](#API_s3Buckets_GetNamespace_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetNamespace-response-tableBucketId"></a>
The unique identifier of the table bucket containing this namespace.  
Type: String

## Errors
<a name="API_s3Buckets_GetNamespace_Errors"></a>

 ** AccessDeniedException **   
The action cannot be performed because you do not have the required permission.  
HTTP Status Code: 403

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_GetNamespace_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/GetNamespace) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/GetNamespace) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/GetNamespace) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/GetNamespace) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/GetNamespace) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/GetNamespace) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/GetNamespace) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/GetNamespace) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/GetNamespace) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/GetNamespace) 

# GetTable
<a name="API_s3Buckets_GetTable"></a>

Gets details about a table. For more information, see [S3 Tables](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-tables.html) in the *Amazon Simple Storage Service User Guide*.

Permissions  
You must have the `s3tables:GetTable` permission to use this operation. 

## Request Syntax
<a name="API_s3Buckets_GetTable_RequestSyntax"></a>

```
GET /get-table?name=name&namespace=namespace&tableArn=tableArn&tableBucketARN=tableBucketARN HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_GetTable_RequestParameters"></a>

The request uses the following URI parameters.

 ** [name](#API_s3Buckets_GetTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-request-uri-name"></a>
The name of the table.  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*` 

 ** [namespace](#API_s3Buckets_GetTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-request-uri-namespace"></a>
The name of the namespace the table is associated with.  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*` 

 ** [tableArn](#API_s3Buckets_GetTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-request-uri-tableArn"></a>
The Amazon Resource Name (ARN) of the table.  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63}/table/[a-zA-Z0-9-_]{1,255})` 

 ** [tableBucketARN](#API_s3Buckets_GetTable_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket associated with the table.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})` 

## Request Body
<a name="API_s3Buckets_GetTable_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_GetTable_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "createdAt": "string",
   "createdBy": "string",
   "format": "string",
   "managedByService": "string",
   "managedTableInformation": { 
      "replicationInformation": { 
         "sourceTableARN": "string"
      }
   },
   "metadataLocation": "string",
   "modifiedAt": "string",
   "modifiedBy": "string",
   "name": "string",
   "namespace": [ "string" ],
   "namespaceId": "string",
   "ownerAccountId": "string",
   "tableARN": "string",
   "tableBucketId": "string",
   "type": "string",
   "versionToken": "string",
   "warehouseLocation": "string"
}
```

## Response Elements
<a name="API_s3Buckets_GetTable_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [createdAt](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-createdAt"></a>
The date and time the table bucket was created at.  
Type: Timestamp

 ** [createdBy](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-createdBy"></a>
The ID of the account that created the table.  
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `[0-9].*` 

 ** [format](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-format"></a>
The format of the table.  
Type: String  
Valid Values: `ICEBERG` 

 ** [managedByService](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-managedByService"></a>
The service that manages the table.  
Type: String

 ** [managedTableInformation](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-managedTableInformation"></a>
If this table is managed by S3 Tables, contains additional information such as replication details.  
Type: [ManagedTableInformation](API_s3Buckets_ManagedTableInformation.md) object

 ** [metadataLocation](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-metadataLocation"></a>
The metadata location of the table.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.

 ** [modifiedAt](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-modifiedAt"></a>
The date and time the table was last modified on.  
Type: Timestamp

 ** [modifiedBy](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-modifiedBy"></a>
The ID of the account that last modified the table.  
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `[0-9].*` 

 ** [name](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-name"></a>
The name of the table.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*` 

 ** [namespace](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-namespace"></a>
The namespace associated with the table.  
Type: Array of strings  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[0-9a-z_]*` 

 ** [namespaceId](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-namespaceId"></a>
The unique identifier of the namespace containing this table.  
Type: String

 ** [ownerAccountId](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-ownerAccountId"></a>
The ID of the account that owns the table.  
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `[0-9].*` 

 ** [tableARN](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-tableARN"></a>
The Amazon Resource Name (ARN) of the table.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63}/table/[a-zA-Z0-9-_]{1,255})` 

 ** [tableBucketId](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-tableBucketId"></a>
The unique identifier of the table bucket containing this table.  
Type: String

 ** [type](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-type"></a>
The type of the table.  
Type: String  
Valid Values: `customer | aws` 

 ** [versionToken](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-versionToken"></a>
The version token of the table.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.

 ** [warehouseLocation](#API_s3Buckets_GetTable_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTable-response-warehouseLocation"></a>
The warehouse location of the table.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Errors
<a name="API_s3Buckets_GetTable_Errors"></a>

 ** AccessDeniedException **   
The action cannot be performed because you do not have the required permission.  
HTTP Status Code: 403

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_GetTable_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/GetTable) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/GetTable) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/GetTable) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/GetTable) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/GetTable) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/GetTable) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/GetTable) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/GetTable) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/GetTable) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/GetTable) 

# GetTableBucket
<a name="API_s3Buckets_GetTableBucket"></a>

Gets details on a table bucket. For more information, see [Viewing details about an Amazon S3 table bucket](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-buckets-details.html) in the *Amazon Simple Storage Service User Guide*.

Permissions  
You must have the `s3tables:GetTableBucket` permission to use this operation. 

## Request Syntax
<a name="API_s3Buckets_GetTableBucket_RequestSyntax"></a>

```
GET /buckets/tableBucketARN HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_GetTableBucket_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_GetTableBucket_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucket-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_GetTableBucket_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_GetTableBucket_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "createdAt": "string",
   "name": "string",
   "ownerAccountId": "string",
   "tableBucketId": "string",
   "type": "string"
}
```

## Response Elements
<a name="API_s3Buckets_GetTableBucket_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_s3Buckets_GetTableBucket_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucket-response-arn"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Type: String  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})` 

 ** [createdAt](#API_s3Buckets_GetTableBucket_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucket-response-createdAt"></a>
The date and time the table bucket was created.  
Type: Timestamp

 ** [name](#API_s3Buckets_GetTableBucket_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucket-response-name"></a>
The name of the table bucket  
Type: String  
Length Constraints: Minimum length of 3. Maximum length of 63.  
Pattern: `[0-9a-z-]*` 

 ** [ownerAccountId](#API_s3Buckets_GetTableBucket_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucket-response-ownerAccountId"></a>
The ID of the account that owns the table bucket.  
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `[0-9].*` 

 ** [tableBucketId](#API_s3Buckets_GetTableBucket_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucket-response-tableBucketId"></a>
The unique identifier of the table bucket.  
Type: String

 ** [type](#API_s3Buckets_GetTableBucket_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucket-response-type"></a>
The type of the table bucket.  
Type: String  
Valid Values: `customer | aws` 

## Errors
<a name="API_s3Buckets_GetTableBucket_Errors"></a>

 ** AccessDeniedException **   
The action cannot be performed because you do not have the required permission.  
HTTP Status Code: 403

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_GetTableBucket_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/GetTableBucket) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/GetTableBucket) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/GetTableBucket) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/GetTableBucket) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/GetTableBucket) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/GetTableBucket) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/GetTableBucket) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/GetTableBucket) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/GetTableBucket) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/GetTableBucket) 

# GetTableBucketEncryption
<a name="API_s3Buckets_GetTableBucketEncryption"></a>

Gets the encryption configuration for a table bucket.

Permissions  
You must have the `s3tables:GetTableBucketEncryption` permission to use this operation.

## Request Syntax
<a name="API_s3Buckets_GetTableBucketEncryption_RequestSyntax"></a>

```
GET /buckets/tableBucketARN/encryption HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_GetTableBucketEncryption_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_GetTableBucketEncryption_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketEncryption-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_GetTableBucketEncryption_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_GetTableBucketEncryption_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "encryptionConfiguration": { 
      "kmsKeyArn": "string",
      "sseAlgorithm": "string"
   }
}
```

## Response Elements
<a name="API_s3Buckets_GetTableBucketEncryption_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [encryptionConfiguration](#API_s3Buckets_GetTableBucketEncryption_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketEncryption-response-encryptionConfiguration"></a>
The encryption configuration for the table bucket.  
Type: [EncryptionConfiguration](API_s3Buckets_EncryptionConfiguration.md) object

## Errors
<a name="API_s3Buckets_GetTableBucketEncryption_Errors"></a>

 ** AccessDeniedException **   
The action cannot be performed because you do not have the required permission.  
HTTP Status Code: 403

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_GetTableBucketEncryption_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/GetTableBucketEncryption) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/GetTableBucketEncryption) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/GetTableBucketEncryption) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/GetTableBucketEncryption) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/GetTableBucketEncryption) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/GetTableBucketEncryption) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/GetTableBucketEncryption) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/GetTableBucketEncryption) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/GetTableBucketEncryption) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/GetTableBucketEncryption) 

# GetTableBucketMaintenanceConfiguration
<a name="API_s3Buckets_GetTableBucketMaintenanceConfiguration"></a>

Gets details about a maintenance configuration for a given table bucket. For more information, see [Amazon S3 table bucket maintenance](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-table-buckets-maintenance.html) in the *Amazon Simple Storage Service User Guide*.

Permissions  
You must have the `s3tables:GetTableBucketMaintenanceConfiguration` permission to use this operation. 

## Request Syntax
<a name="API_s3Buckets_GetTableBucketMaintenanceConfiguration_RequestSyntax"></a>

```
GET /buckets/tableBucketARN/maintenance HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_GetTableBucketMaintenanceConfiguration_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_GetTableBucketMaintenanceConfiguration_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketMaintenanceConfiguration-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket associated with the maintenance configuration.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_GetTableBucketMaintenanceConfiguration_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_GetTableBucketMaintenanceConfiguration_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "configuration": { 
      "string" : { 
         "settings": { ... },
         "status": "string"
      }
   },
   "tableBucketARN": "string"
}
```

## Response Elements
<a name="API_s3Buckets_GetTableBucketMaintenanceConfiguration_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [configuration](#API_s3Buckets_GetTableBucketMaintenanceConfiguration_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketMaintenanceConfiguration-response-configuration"></a>
Details about the maintenance configuration for the table bucket.  
Type: String to [TableBucketMaintenanceConfigurationValue](API_s3Buckets_TableBucketMaintenanceConfigurationValue.md) object map  
Valid Keys: `icebergUnreferencedFileRemoval` 

 ** [tableBucketARN](#API_s3Buckets_GetTableBucketMaintenanceConfiguration_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketMaintenanceConfiguration-response-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket associated with the maintenance configuration.  
Type: String  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})` 

## Errors
<a name="API_s3Buckets_GetTableBucketMaintenanceConfiguration_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_GetTableBucketMaintenanceConfiguration_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/GetTableBucketMaintenanceConfiguration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/GetTableBucketMaintenanceConfiguration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/GetTableBucketMaintenanceConfiguration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/GetTableBucketMaintenanceConfiguration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/GetTableBucketMaintenanceConfiguration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/GetTableBucketMaintenanceConfiguration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/GetTableBucketMaintenanceConfiguration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/GetTableBucketMaintenanceConfiguration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/GetTableBucketMaintenanceConfiguration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/GetTableBucketMaintenanceConfiguration) 

# GetTableBucketMetricsConfiguration
<a name="API_s3Buckets_GetTableBucketMetricsConfiguration"></a>

Gets the metrics configuration for a table bucket.

Permissions  
You must have the `s3tables:GetTableBucketMetricsConfiguration` permission to use this operation.

## Request Syntax
<a name="API_s3Buckets_GetTableBucketMetricsConfiguration_RequestSyntax"></a>

```
GET /buckets/tableBucketARN/metrics HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_GetTableBucketMetricsConfiguration_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_GetTableBucketMetricsConfiguration_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketMetricsConfiguration-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_GetTableBucketMetricsConfiguration_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_GetTableBucketMetricsConfiguration_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "id": "string",
   "tableBucketARN": "string"
}
```

## Response Elements
<a name="API_s3Buckets_GetTableBucketMetricsConfiguration_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [id](#API_s3Buckets_GetTableBucketMetricsConfiguration_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketMetricsConfiguration-response-id"></a>
The unique identifier of the metrics configuration.  
Type: String

 ** [tableBucketARN](#API_s3Buckets_GetTableBucketMetricsConfiguration_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketMetricsConfiguration-response-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Type: String  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})` 

## Errors
<a name="API_s3Buckets_GetTableBucketMetricsConfiguration_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_GetTableBucketMetricsConfiguration_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/GetTableBucketMetricsConfiguration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/GetTableBucketMetricsConfiguration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/GetTableBucketMetricsConfiguration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/GetTableBucketMetricsConfiguration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/GetTableBucketMetricsConfiguration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/GetTableBucketMetricsConfiguration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/GetTableBucketMetricsConfiguration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/GetTableBucketMetricsConfiguration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/GetTableBucketMetricsConfiguration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/GetTableBucketMetricsConfiguration) 

# GetTableBucketPolicy
<a name="API_s3Buckets_GetTableBucketPolicy"></a>

Gets details about a table bucket policy. For more information, see [Viewing a table bucket policy](https://docs.aws.amazon.com/AmazonS3/latest/userguide/s3-tables-bucket-policy.html#table-bucket-policy-get) in the *Amazon Simple Storage Service User Guide*.

Permissions  
You must have the `s3tables:GetTableBucketPolicy` permission to use this operation. 

## Request Syntax
<a name="API_s3Buckets_GetTableBucketPolicy_RequestSyntax"></a>

```
GET /buckets/tableBucketARN/policy HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_GetTableBucketPolicy_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_GetTableBucketPolicy_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketPolicy-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_GetTableBucketPolicy_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_GetTableBucketPolicy_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "resourcePolicy": "string"
}
```

## Response Elements
<a name="API_s3Buckets_GetTableBucketPolicy_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [resourcePolicy](#API_s3Buckets_GetTableBucketPolicy_ResponseSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketPolicy-response-resourcePolicy"></a>
The `JSON` that defines the policy.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 20480.

## Errors
<a name="API_s3Buckets_GetTableBucketPolicy_Errors"></a>

 ** BadRequestException **   
The request is invalid or malformed.  
HTTP Status Code: 400

 ** ConflictException **   
The request failed because there is a conflict with a previous write. You can retry the request.  
HTTP Status Code: 409

 ** ForbiddenException **   
The caller isn't authorized to make the request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
The request failed due to an internal server error.  
HTTP Status Code: 500

 ** NotFoundException **   
The request was rejected because the specified resource could not be found.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The limit on the number of requests per second was exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_s3Buckets_GetTableBucketPolicy_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3tables-2018-05-10/GetTableBucketPolicy) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3tables-2018-05-10/GetTableBucketPolicy) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3tables-2018-05-10/GetTableBucketPolicy) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3tables-2018-05-10/GetTableBucketPolicy) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3tables-2018-05-10/GetTableBucketPolicy) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3tables-2018-05-10/GetTableBucketPolicy) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3tables-2018-05-10/GetTableBucketPolicy) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3tables-2018-05-10/GetTableBucketPolicy) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3tables-2018-05-10/GetTableBucketPolicy) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3tables-2018-05-10/GetTableBucketPolicy) 

# GetTableBucketReplication
<a name="API_s3Buckets_GetTableBucketReplication"></a>

Retrieves the replication configuration for a table bucket.This operation returns the IAM role, `versionToken`, and replication rules that define how tables in this bucket are replicated to other buckets.

Permissions  
You must have the `s3tables:GetTableBucketReplication` permission to use this operation.

## Request Syntax
<a name="API_s3Buckets_GetTableBucketReplication_RequestSyntax"></a>

```
GET /table-bucket-replication?tableBucketARN=tableBucketARN HTTP/1.1
```

## URI Request Parameters
<a name="API_s3Buckets_GetTableBucketReplication_RequestParameters"></a>

The request uses the following URI parameters.

 ** [tableBucketARN](#API_s3Buckets_GetTableBucketReplication_RequestSyntax) **   <a name="AmazonS3-s3Buckets_GetTableBucketReplication-request-uri-tableBucketARN"></a>
The Amazon Resource Name (ARN) of the table bucket.  
Pattern: `(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})`   
Required: Yes

## Request Body
<a name="API_s3Buckets_GetTableBucketReplication_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3Buckets_GetTableBucketReplication_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "configuration": { 
      "role": "string",
      "rules": [ 
         { 
            "destinations": [ 
[...]
